Subject: Re: bug#55196: 29.0.50; Unexpected pulse.el behavior in emacs-server-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Apr 2022 20:29:46 +0200

(Please keep the debbugs address in the Cc headers -- otherwise your
mails won't reach the Emacs bug tracker.)

[email-masked] writes:

> Wow okay I didn't think that through. Thanks for the clarification. I thought the return
> was a bug.... 
> Well then it's clearly my configuration and not a bug. Sorry! This Issue can be closed.
>
> But strange that in my configuration the retrun of the function
> pulse-momentary-hightlight-region seems to be correct (as described above) without
> daemon and with daemon the return is "(pulse-momentary-unhighlight
> evil-repeat-pre-hook)". Hmm I will try to find out. 

It sounds like your non-Q Emacs is picking up a different version of
pulse.el -- see whether `M-x list-load-path-shadows' says that you have
a shadowing version installed.